This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 492181

Summary: Review Request: gpxe - A network boot loader
Product: [Fedora] Fedora Reporter: Matt Domsch <matt_domsch>
Component: Package ReviewAssignee: srinivas <srinivas_ramanatha>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, gcosta, itamar, k.georgiou, mtasaka, notting, rolf, srinivas_ramanatha, tjb, vanmeeuwen+fedora, virt-maint
Target Milestone: ---Flags: srinivas_ramanatha: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.9.7-4.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-02 10:25:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 457979    
Attachments:
Description Flags
patch to build in koji none

Description Matt Domsch 2009-03-25 14:51:48 EDT
Spec URL: http://domsch.com/linux/fedora/gpxe/gpxe.spec
SRPM URL: http://domsch.com/linux/fedora/gpxe/gpxe-0.9.7-1.git16aa435.fc10.src.rpm
Description: 
gPXE is an open source network bootloader. It provides a direct
replacement for proprietary PXE ROMs, with many extra features such as
DNS, HTTP, iSCSI, etc.
Comment 1 Itamar Reis Peixoto 2009-03-25 15:04:46 EDT
I have a question,

this package will obsolete etherboot ?

http://koji.fedoraproject.org/koji/packageinfo?packageID=6998
Comment 2 Glauber Costa 2009-03-25 15:24:45 EDT
Yes, sir.
Provided everything moves according to the plan.
Comment 3 Glauber Costa 2009-03-25 15:29:57 EDT
1: Now that we don't have a kvm package anymore, the subpackage should be really called roms-qemu, not roms-kvm

2: Why git? Doesn't gpxe have a fresh enough release?

3: ExclusiveArch:  %{ix86} x86_64 => this is wrong. It means ppc and others will never get the noarch subpackages. Take a look on how extboot does it.
Comment 4 Matt Domsch 2009-03-25 16:02:24 EDT
1) good catch, will change
2) upstream doesn't release tarballs.  I'm OK using the v0.9.7 tag if we don't need any diffs since then.
3) will investigate
Comment 5 Matt Domsch 2009-03-25 17:00:43 EDT
Updated files with changes suggested in comment #3.
http://domsch.com/linux/fedora/gpxe/gpxe.spec
http://domsch.com/linux/fedora/gpxe/gpxe-0.9.7-1.src.rpm
Comment 6 Matt Domsch 2009-03-26 12:01:48 EDT
And a few more updates:
* add subpackage gpxe-bootimgs containing ISO, USB, and floppy images
* add BRs needed for generating the above images
* add USAGE doc for above images
* change Source0 to point at released tarballs, not git

Built in mock, logs and results at http://domsch.com/linux/fedora/gpxe/.
Comment 7 Itamar Reis Peixoto 2009-03-26 12:25:04 EDT
why you don't include dist-tag ?
Comment 8 Itamar Reis Peixoto 2009-03-26 12:27:16 EDT
Can you include a koji scratch build in dist-f11 ?

-make %{?_smp_mflags}
+make %{?_smp_mflags} ISOLINUX_BIN=/usr/share/syslinux/isolinux.bin
Comment 9 Matt Domsch 2009-03-26 12:52:42 EDT
Itamar: re no dist tag: the executables being produced run in BIOS context, not OS distribution context.  There's no reason we couldn't use the same noarch (x86) executables across multiple OS versions.

Koji scratch-build started:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1259845
Comment 10 Itamar Reis Peixoto 2009-03-26 12:58:29 EDT
Created attachment 336850 [details]
patch to build in koji

look
Comment 11 Matt Domsch 2009-03-26 13:18:16 EDT
Gotcha.  Applied those changes, thanks!
http://koji.fedoraproject.org/koji/taskinfo?taskID=1259897
built successfully.
Comment 12 Jason Tibbitts 2009-04-01 18:06:15 EDT
Where's the latest package with those changes applied?  I only see the 0.9.7-1 spec from comment #5.
Comment 13 Itamar Reis Peixoto 2009-04-01 18:16:07 EDT
(In reply to comment #12)
> Where's the latest package with those changes applied?  I only see the 0.9.7-1
> spec from comment #5.  

I belive in koji, until the next cleanup.
Comment 14 Matt Domsch 2009-04-06 10:57:13 EDT
I'm uploading the spec and srpm which match the last koji scratch build, into http://domsch.com/linux/fedora/gpxe/
Comment 15 srinivas 2009-04-07 08:07:20 EDT
Review:

Fix all rpmlint warnings:

[root@localhost ~]# rpmlint gpxe-*
gpxe.src: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 10)
gpxe-bootimgs.noarch: W: summary-not-capitalized gPXE - bootable USB, CD, floppy images and GRUB format
gpxe-roms.noarch: W: summary-not-capitalized gPXE - boot roms in .rom format
gpxe-roms-qemu.noarch: W: summary-not-capitalized gPXE - boot roms supported by QEMU, .rom format

naming: ok
spec file name matches: ok
license = GPLv2 and BSD: ok
license tag: ok
spec in english: ok
spec legible: ok
no prebuild binaries: ok
no packager, vendor, copyright, tags: ok
summary and description tags: ok
no rpaths: ok
no config files: ok
no initscripts: ok
no desktop files: ok
consistent use of macros: ok
no makeinstall: ok
no lang files: ok
scriptlets: ok
no conditional deps: ok
builds with a normal user account: ok
not relocatable: ok
code, not content: ok
directory ownership: ok
users and groups: ok
not a web app: ok
conflicts: ok
no kmods: ok
no files under /srv: ok
source matches: ok
calls ldconfig appropriately: ok
no duplicate files: ok
file permissions: ok
libtool archives removed: ok
%clean section: ok
no large docs, no need for -doc subpackage: ok
%doc usage ok
no static libs: ok
no pkgconfig files: ok
all libtool .la files removed: ok
dir ownership correct: ok
%install does rm: ok
filenames UTF8: ok
Comment 16 Itamar Reis Peixoto 2009-04-07 10:18:35 EDT
look at

comment #1

and

comment #2

may be missing obsolete etherboot

?
Comment 17 Matt Domsch 2009-04-07 12:28:24 EDT
I don't know that it obsoletes etherboot in the RPM sense.  The two can co-exist, and presumably one could load an etherboot orom into one instance of QEMU, while loading a gPXE orom into another instance.  Also, the other etherboot images and gPXE images, meant for use on cards etc, can absolutely co-exist.
Comment 18 Matt Domsch 2009-04-09 18:42:14 EDT
OK, I fixed the two rpmlint warnings.

$ rpmlint gpxe.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Please approve.
Comment 19 Itamar Reis Peixoto 2009-04-12 02:31:13 EDT
(In reply to comment #18)

you should run rpmlint against rpm files, example


[itamar@itamar gpxe]$ ls *.rpm
gpxe-0.9.7-1.src.rpm  gpxe-bootimgs-0.9.7-1.noarch.rpm  gpxe-roms-0.9.7-1.noarch.rpm  gpxe-roms-qemu-0.9.7-1.noarch.rpm


[itamar@itamar gpxe]$ rpmlint *.rpm
gpxe.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
gpxe-bootimgs.noarch: W: summary-not-capitalized gPXE - bootable USB, CD, floppy images and GRUB format
gpxe-roms.noarch: W: summary-not-capitalized gPXE - boot roms in .rom format
gpxe-roms-qemu.noarch: W: summary-not-capitalized gPXE - boot roms supported by QEMU, .rom format
4 packages and 0 specfiles checked; 0 errors, 4 warnings.


the warning about summary-not-capitalized can be ignored

so please fix the warning about mixed-use-of-spaces-and-tabs
Comment 20 Itamar Reis Peixoto 2009-04-12 02:37:50 EDT
for the there are something wrong with this package.

since there are no rpms for PPC and PPC64, why not use 

ExclusiveArch: %ix86 x86_64


?
Comment 21 Matt Domsch 2009-04-12 12:45:52 EDT
Honestly folks, we're getting a bit pedantic with  the tabs vs spaces warning.  I didn't rebuild the RPMs after fixing that just to run rpmlint to prove that I can run 'tr' to remove tabs.  Running rpmlint against the spec file is sufficient to see that I fixed those.

Regarding exclusivearch - these ROMs run either on a physical machine where exclusivearch would make sense, or can be run inside QEMU on a completely different arch, where the RPM architecture makes no sense whatsoever (hence they're noarch).
Comment 22 Glauber Costa 2009-04-14 08:44:31 EDT
Of course here are ppc and ppc64 packages. They are just not built there.
Comment 23 srinivas 2009-05-08 02:26:22 EDT
Setting fedora-review flag to "+".
Comment 24 Matt Domsch 2009-05-08 08:07:10 EDT
New Package CVS Request
=======================
Package Name: gpxe
Short Description: A network boot loader
Owners: mdomsch glommer
Branches: F-11 F-10 F-9 EL-5
InitialCC:
Comment 25 Kevin Fenzi 2009-05-09 16:50:26 EDT
cvs done.
Comment 26 Fedora Update System 2009-05-12 10:15:27 EDT
gpxe-0.9.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gpxe-0.9.7-2.fc11
Comment 27 Fedora Update System 2009-05-12 10:15:58 EDT
gpxe-0.9.7-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gpxe-0.9.7-3.fc10
Comment 28 Fedora Update System 2009-05-12 10:16:34 EDT
gpxe-0.9.7-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gpxe-0.9.7-2.fc9
Comment 29 Fedora Update System 2009-05-12 20:27:16 EDT
gpxe-0.9.7-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpxe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4900
Comment 30 Fedora Update System 2009-05-12 20:27:22 EDT
gpxe-0.9.7-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gpxe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4901
Comment 31 Fedora Update System 2009-05-12 20:30:07 EDT
gpxe-0.9.7-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpxe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4920
Comment 32 Rolf Fokkens 2009-05-19 17:57:00 EDT
I needed undionly.kpxe to make a server do an iSCSI boot, as described in http://www.etherboot.org/wiki/pxechaining.

AFAIK this file isn't part if the compiled packages, I took it from the rpmbuild after building the binary packages from sources. I'd suggest to include the undionly.kpxe in one of the binary packages if it actually isn't in one of them.
Comment 33 Matt Domsch 2009-05-19 18:28:01 EDT
Thanks for catching that Rolf.  Building in koji now, with undionly.kpxe now included in the -bootimgs subpackage.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1364843
Comment 34 Fedora Update System 2009-05-19 19:41:18 EDT
gpxe-0.9.7-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gpxe-0.9.7-4.fc11
Comment 35 Fedora Update System 2009-05-19 20:24:43 EDT
gpxe-0.9.7-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gpxe-0.9.7-4.fc10
Comment 36 Fedora Update System 2009-05-19 20:25:30 EDT
gpxe-0.9.7-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gpxe-0.9.7-4.fc9
Comment 37 Fedora Update System 2009-05-20 19:52:30 EDT
gpxe-0.9.7-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpxe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5228
Comment 38 Fedora Update System 2009-05-20 19:54:49 EDT
gpxe-0.9.7-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpxe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5243
Comment 39 Fedora Update System 2009-05-20 19:59:24 EDT
gpxe-0.9.7-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gpxe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5260
Comment 40 Fedora Update System 2009-06-02 10:25:43 EDT
gpxe-0.9.7-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2009-06-02 10:27:25 EDT
gpxe-0.9.7-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2009-06-15 22:14:20 EDT
gpxe-0.9.7-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Daniel Berrange 2012-03-19 16:56:59 EDT
*** Bug 553055 has been marked as a duplicate of this bug. ***